# Get or Update Publication Settings GET /api/v1/publications/{id}/settings/ Retrieves or updates settings for a specific publication. Only publication owners and co-creators with admin role can update settings. Publication owners and all co-creators can view settings. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/publications/settings-retrieve ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/publications/{id}/settings/: get: operationId: settings-retrieve summary: Get or Update Publication Settings description: >- Retrieves or updates settings for a specific publication. Only publication owners and co-creators with admin role can update settings. Publication owners and all co-creators can view settings. tags: - subpackage_publications parameters: - name: id in: path required: true schema: type: integer - name: pk in: path description: The ID of the publication required: true schema: type: integer responses: '200': description: Publication settings content: application/json: schema: $ref: '#/components/schemas/PublicationSettings' '400': description: Invalid input content: application/json: schema: description: Any type '401': description: Unauthorized content: application/json: schema: description: Any type '403': description: Forbidden - insufficient permissions content: application/json: schema: description: Any type '404': description: Publication not found content: application/json: schema: description: Any type components: schemas: PublicationSettings: type: object properties: id: type: integer new_comments_notification: type: boolean description: Whether to notify the owner about new comments on blogs new_followers_notification: type: boolean description: Whether to notify the owner about new followers appointment_reminders_notification: type: boolean description: Whether to send appointment reminders to the owner weekly_digest_notification: type: boolean description: Whether to send weekly digest notifications co_creator_activity_notification: type: boolean description: Whether to notify the owner about co-creator activity system_updates_notification: type: boolean description: Whether to notify the owner about system updates notification_preferences: description: Custom notification preferences for the publication enable_analytics: type: boolean description: Whether to enable analytics for the publication seo_optimization: type: boolean description: Whether to enable SEO optimization features geo_optimization: type: boolean description: Whether to enable geo-optimization features enable_comments: type: boolean description: Whether to enable comments on blogs in this publication custom_css: type: string description: Custom CSS for the publication. Use with caution. custom_domain: type: string description: Custom domain for the publication (e.g., blog.example.com) theme: description: Theme settings for the publication required: - id description: Serializer for PublicationSettings model title: PublicationSettings ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/publications/1/settings/" payload = {} headers = {"Content-Type": "application/json"} response = requests.get(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/publications/1/settings/'; const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/publications/1/settings/" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/publications/1/settings/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.example.com/api/v1/publications/1/settings/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://api.example.com/api/v1/publications/1/settings/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/publications/1/settings/"); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/publications/1/settings/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```